Index: svn/src/southbridge/intel/i82801gx/i82801gx_ac97.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_ac97.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_ac97.c
@@ -101,7 +101,7 @@ static int ac97_semaphore(void)
 		timeout--;
 	} while ((reg8 & 1) && timeout);
 	if (! timeout) {
-		printk(BIOS_DEBUG, "Timeout!\n");
+		printk(DEBUG, "Timeout!\n");
 	}
 
 	return (!timeout);
@@ -123,7 +123,7 @@ static void ac97_audio_init(struct devic
 	u32 reg32;
 	int i;
 
-	printk(BIOS_DEBUG, "Initializing AC'97 Audio.\n");
+	printk(DEBUG, "Initializing AC'97 Audio.\n");
 
 	/* top 16 bits are zero, so don't read them */
 	nabmbar = pci_read_config16(dev, NABMBAR) & 0xfffe;
@@ -142,7 +142,7 @@ static void ac97_audio_init(struct devic
 	reg32 = inl(nabmbar + GLOB_STA);
 	if ((reg32 & ((1 << 28) | (1 << 9) | (1 << 8))) == 0) {
 		/* Primary Codec not found */
-		printk(BIOS_DEBUG, "No primary codec. Disabling AC'97 Audio.\n");
+		printk(DEBUG, "No primary codec. Disabling AC'97 Audio.\n");
 		return;
 	}
 
@@ -152,7 +152,7 @@ static void ac97_audio_init(struct devic
 	outw(0x8000, nambar + MASTER_VOL);
 	ac97_semaphore();
 	if (inw(nambar + MASTER_VOL) != 0x8000) {
-		printk(BIOS_DEBUG, "Codec not programmable. Disabling AC'97 Audio.\n");
+		printk(DEBUG, "Codec not programmable. Disabling AC'97 Audio.\n");
 		return;
 	}
 
Index: svn/src/southbridge/intel/i82801gx/i82801gx_azalia.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_azalia.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_azalia.c
@@ -86,7 +86,7 @@ no_codec:
 	/* Codec Not found */
 	/* Put HDA back in reset (BAR + 0x8) [0] */
 	set_bits(base + 0x08, 1, 0);
-	printk(BIOS_DEBUG, "Azalia: No codec!\n");
+	printk(DEBUG, "Azalia: No codec!\n");
 	return 0;
 }
 
@@ -170,7 +170,7 @@ static void codec_init(struct device *de
 	u32 verb_size;
 	int i;
 
-	printk(BIOS_DEBUG, "Azalia: Initializing codec #%d\n", addr);
+	printk(DEBUG, "Azalia: Initializing codec #%d\n", addr);
 
 	/* 1 */
 	if (wait_for_ready(base) == -1)
@@ -185,14 +185,14 @@ static void codec_init(struct device *de
 	reg32 = read32(base + 0x64);
 
 	/* 2 */
-	printk(BIOS_DEBUG, "Azalia: codec viddid: %08x\n", reg32);
+	printk(DEBUG, "Azalia: codec viddid: %08x\n", reg32);
 	verb_size = find_verb(dev, reg32, &verb);
 
 	if (!verb_size) {
-		printk(BIOS_DEBUG, "Azalia: No verb!\n");
+		printk(DEBUG, "Azalia: No verb!\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "Azalia: verb_size: %d\n", verb_size);
+	printk(DEBUG, "Azalia: verb_size: %d\n", verb_size);
 
 	/* 3 */
 	for (i = 0; i < verb_size; i++) {
@@ -204,7 +204,7 @@ static void codec_init(struct device *de
 		if (wait_for_valid(base) == -1)
 			return;
 	}
-	printk(BIOS_DEBUG, "Azalia: verb loaded.\n");
+	printk(DEBUG, "Azalia: verb loaded.\n");
 }
 
 static void codecs_init(struct device *dev, u32 base, u32 codec_mask)
@@ -275,7 +275,7 @@ static void azalia_init(struct device *d
 	pci_write_config8(dev, 0x40, reg8);
 	mdelay(1);
 	reg8 = pci_read_config8(dev, 0x40);
-	printk(BIOS_DEBUG, "Azalia: codec type: %s\n", (reg8 & (1 << 1))?"Azalia":"AC97");
+	printk(DEBUG, "Azalia: codec type: %s\n", (reg8 & (1 << 1))?"Azalia":"AC97");
 
 	//
 	reg8 = pci_read_config8(dev, 0x40); // Audio Control
@@ -304,11 +304,11 @@ static void azalia_init(struct device *d
 	// NOTE this will break as soon as the Azalia get's a bar above
 	// 4G. Is there anything we can do about it?
 	base = (u32)res->base;
-	printk(BIOS_DEBUG, "Azalia: base = %08x\n", (u32)base);
+	printk(DEBUG, "Azalia: base = %08x\n", (u32)base);
 	codec_mask = codec_detect(base);
 
 	if (codec_mask) {
-		printk(BIOS_DEBUG, "Azalia: codec_mask = %02x\n", codec_mask);
+		printk(DEBUG, "Azalia: codec_mask = %02x\n", codec_mask);
 		codecs_init(dev, base, codec_mask);
 	}
 }
Index: svn/src/southbridge/intel/i82801gx/i82801gx_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_ide.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_ide.c
@@ -35,9 +35,9 @@ static void ide_init(struct device *dev)
 	/* Get the chip configuration */
 	config_t *config = dev->chip_info;
 
-	printk(BIOS_DEBUG, "i82801gx_ide: initializing... ");
+	printk(DEBUG, "i82801gx_ide: initializing... ");
 	if (config == NULL) {
-		printk(BIOS_ERR, "\ni82801gx_ide: Not mentioned in mainboard's Config.lb!\n");
+		printk(ERROR, "\ni82801gx_ide: Not mentioned in mainboard's Config.lb!\n");
 		// Trying to set somewhat safe defaults instead of bailing out.
 		enable_primary = enable_secondary = 1;
 	} else {
@@ -61,7 +61,7 @@ static void ide_init(struct device *dev)
 		ideTimingConfig |= (3 << 8); // RCT = 1 clock
 		ideTimingConfig |= (1 << 1); // IE0
 		ideTimingConfig |= (1 << 0); // TIME0
-		printk(BIOS_DEBUG, "IDE0 ");
+		printk(DEBUG, "IDE0 ");
 	}
 	pci_write_config16(dev, IDE_TIM_PRI, ideTimingConfig);
 
@@ -75,7 +75,7 @@ static void ide_init(struct device *dev)
 		ideTimingConfig |= (3 << 8); // RCT = 1 clock
 		ideTimingConfig |= (1 << 1); // IE0
 		ideTimingConfig |= (1 << 0); // TIME0
-		printk(BIOS_DEBUG, "IDE1 ");
+		printk(DEBUG, "IDE1 ");
 	}
 	pci_write_config16(dev, IDE_TIM_SEC, ideTimingConfig);
 
@@ -92,7 +92,7 @@ static void ide_init(struct device *dev)
 	/* Interrupt Pin is set by D31IP.PIP */
 	pci_write_config32(dev, INTR_LN, 0xff); /* Int 15 */
 
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 }
 
 static void ide_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/intel/i82801gx/i82801gx_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_lpc.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_lpc.c
@@ -52,16 +52,16 @@ static void i82801gx_enable_apic(struct 
 
 	*ioapic_index = 0;
 	reg32 = *ioapic_data;
-	printk(BIOS_DEBUG, "Southbridge APIC ID = %x\n", (reg32 >> 24) & 0x0f);
+	printk(DEBUG, "Southbridge APIC ID = %x\n", (reg32 >> 24) & 0x0f);
 	if (reg32 != (1 << 25))
 		die("APIC Error\n");
 
-	printk(BIOS_SPEW, "Dumping IOAPIC registers\n");
+	printk(SPEW, "Dumping IOAPIC registers\n");
 	for (i=0; i<3; i++) {
 		*ioapic_index = i;
-		printk(BIOS_SPEW, "  reg 0x%04x:", i);
+		printk(SPEW, "  reg 0x%04x:", i);
 		reg32 = *ioapic_data;
-		printk(BIOS_SPEW, " 0x%08x\n", reg32);
+		printk(SPEW, " 0x%08x\n", reg32);
 	}
 
 	*ioapic_index = 3; /* Select Boot Configuration register. */
@@ -213,7 +213,7 @@ static void i82801gx_power_options(devic
 	reg8 &= ~(1 << 3);	/* minimum asssertion is 1 to 2 RTCCLK */
 
 	pci_write_config8(dev, GEN_PMCON_3, reg8);
-	printk(BIOS_INFO, "Set power %s after power failure.\n", state);
+	printk(INFO, "Set power %s after power failure.\n", state);
 
 	/* Set up NMI on errors. */
 	reg8 = inb(0x61);
@@ -227,10 +227,10 @@ static void i82801gx_power_options(devic
 	nmi_option = NMI_OFF;
 	get_option(&nmi_option, "nmi");
 	if (nmi_option) {
-		printk(BIOS_INFO, "NMI sources enabled.\n");
+		printk(INFO, "NMI sources enabled.\n");
 		reg8 &= ~(1 << 7);	/* Set NMI. */
 	} else {
-		printk(BIOS_INFO, "NMI sources disabled.\n");
+		printk(INFO, "NMI sources disabled.\n");
 		reg8 |= ( 1 << 7);	/* Can't mask NMI from PCI-E and NMI_NOW */
 	}
 	outb(reg8, 0x70);
@@ -296,7 +296,7 @@ static void i82801gx_rtc_init(struct dev
 		reg8 &= ~RTC_BATTERY_DEAD;
 		pci_write_config8(dev, GEN_PMCON_3, reg8);
 	}
-	printk(BIOS_DEBUG, "rtc_failed = 0x%x\n", rtc_failed);
+	printk(DEBUG, "rtc_failed = 0x%x\n", rtc_failed);
 
 	rtc_init(rtc_failed);
 }
@@ -340,13 +340,13 @@ static void i82801gx_lock_smm(struct dev
 #endif
 
 #if ENABLE_ACPI_MODE_IN_COREBOOT
-	printk(BIOS_DEBUG, "Enabling ACPI via APMC:\n");
+	printk(DEBUG, "Enabling ACPI via APMC:\n");
 	outb(0xe1, 0xb2); // Enable ACPI mode
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 #else
-	printk(BIOS_DEBUG, "Disabling ACPI via APMC:\n");
+	printk(DEBUG, "Disabling ACPI via APMC:\n");
 	outb(0x1e, 0xb2); // Disable ACPI mode
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 #endif
 	/* Don't allow evil boot loaders, kernels, or
 	 * userspace applications to deceive us:
@@ -355,29 +355,29 @@ static void i82801gx_lock_smm(struct dev
 
 #if TEST_SMM_FLASH_LOCKDOWN
 	/* Now try this: */
-	printk(BIOS_DEBUG, "Locking BIOS to RO... ");
+	printk(DEBUG, "Locking BIOS to RO... ");
 	reg8 = pci_read_config8(dev, 0xdc);	/* BIOS_CNTL */
-	printk(BIOS_DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
+	printk(DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
 			(reg8&1)?"rw":"ro");
 	reg8 &= ~(1 << 0);			/* clear BIOSWE */
 	pci_write_config8(dev, 0xdc, reg8);
 	reg8 |= (1 << 1);			/* set BLE */
 	pci_write_config8(dev, 0xdc, reg8);
-	printk(BIOS_DEBUG, "ok.\n");
+	printk(DEBUG, "ok.\n");
 	reg8 = pci_read_config8(dev, 0xdc);	/* BIOS_CNTL */
-	printk(BIOS_DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
+	printk(DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
 			(reg8&1)?"rw":"ro");
 
-	printk(BIOS_DEBUG, "Writing:\n");
+	printk(DEBUG, "Writing:\n");
 	*(volatile u8 *)0xfff00000 = 0x00;
-	printk(BIOS_DEBUG, "Testing:\n");
+	printk(DEBUG, "Testing:\n");
 	reg8 |= (1 << 0);			/* set BIOSWE */
 	pci_write_config8(dev, 0xdc, reg8);
 
 	reg8 = pci_read_config8(dev, 0xdc);	/* BIOS_CNTL */
-	printk(BIOS_DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
+	printk(DEBUG, " BLE: %s; BWE: %s\n", (reg8&2)?"on":"off",
 			(reg8&1)?"rw":"ro");
-	printk(BIOS_DEBUG, "Done.\n");
+	printk(DEBUG, "Done.\n");
 #endif
 }
 #endif
@@ -406,7 +406,7 @@ static void i82801gx_fixups(struct devic
 
 static void lpc_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "i82801gx: lpc_init\n");
+	printk(DEBUG, "i82801gx: lpc_init\n");
 
 	/* Set the value for PCI command register. */
 	pci_write_config16(dev, PCI_COMMAND, 0x000f);
Index: svn/src/southbridge/intel/i82801gx/i82801gx_pci.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_pci.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_pci.c
@@ -71,7 +71,7 @@ static void ich_pci_dev_enable_resources
 	/* Set the subsystem vendor and device id for mainboard devices */
 	ops = ops_pci(dev);
 	if (dev->on_mainboard && ops && ops->set_subsystem) {
-		printk(BIOS_DEBUG, "%s subsystem <- %02x/%02x\n",
+		printk(DEBUG, "%s subsystem <- %02x/%02x\n",
 			dev_path(dev),
 			CONFIG_MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID,
 			CONFIG_MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID);
@@ -87,10 +87,10 @@ static void ich_pci_dev_enable_resources
 	 * this will cause the ROM and APICs not being visible
 	 * anymore.
 	 */
-	printk(BIOS_DEBUG, "%s cmd <- %02x\n", dev_path(dev), command);
+	printk(DEBUG, "%s cmd <- %02x\n", dev_path(dev), command);
 	pci_write_config16(dev, PCI_COMMAND, command);
 #else
-	printk(BIOS_DEBUG, "%s cmd <- %02x (NOT WRITTEN!)\n", dev_path(dev), command);
+	printk(DEBUG, "%s cmd <- %02x (NOT WRITTEN!)\n", dev_path(dev), command);
 #endif
 }
 
@@ -105,7 +105,7 @@ static void ich_pci_bus_enable_resources
 	ctrl = pci_read_config16(dev, PCI_BRIDGE_CONTROL);
 	ctrl |= dev->link[0].bridge_ctrl;
 	ctrl |= (PCI_BRIDGE_CTL_PARITY + PCI_BRIDGE_CTL_SERR); /* error check */
-	printk(BIOS_DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
+	printk(DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
 	pci_write_config16(dev, PCI_BRIDGE_CONTROL, ctrl);
 
 	/* This is the reason we need our own pci_bus_enable_resources */
Index: svn/src/southbridge/intel/i82801gx/i82801gx_pcie.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_pcie.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_pcie.c
@@ -28,7 +28,7 @@ static void pci_init(struct device *dev)
 	u16 reg16;
 	u32 reg32;
 
-	printk(BIOS_DEBUG, "Initializing ICH7 PCIe bridge.\n");
+	printk(DEBUG, "Initializing ICH7 PCIe bridge.\n");
 
 	/* Enable Bus Master */
 	reg32 = pci_read_config32(dev, PCI_COMMAND);
@@ -77,13 +77,13 @@ static void pci_init(struct device *dev)
 
 #ifdef EVEN_MORE_DEBUG
 	reg32 = pci_read_config32(dev, 0x20);
-	printk(BIOS_SPEW, "    MBL    = 0x%08x\n", reg32);
+	printk(SPEW, "    MBL    = 0x%08x\n", reg32);
 	reg32 = pci_read_config32(dev, 0x24);
-	printk(BIOS_SPEW, "    PMBL   = 0x%08x\n", reg32);
+	printk(SPEW, "    PMBL   = 0x%08x\n", reg32);
 	reg32 = pci_read_config32(dev, 0x28);
-	printk(BIOS_SPEW, "    PMBU32 = 0x%08x\n", reg32);
+	printk(SPEW, "    PMBU32 = 0x%08x\n", reg32);
 	reg32 = pci_read_config32(dev, 0x2c);
-	printk(BIOS_SPEW, "    PMLU32 = 0x%08x\n", reg32);
+	printk(SPEW, "    PMLU32 = 0x%08x\n", reg32);
 #endif
 
 	/* Clear errors in status registers */
Index: svn/src/southbridge/intel/i82801gx/i82801gx_sata.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_sata.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_sata.c
@@ -33,10 +33,10 @@ static void sata_init(struct device *dev
 	/* Get the chip configuration */
 	config_t *config = dev->chip_info;
 
-	printk(BIOS_DEBUG, "i82801gx_sata: initializing...\n");
+	printk(DEBUG, "i82801gx_sata: initializing...\n");
 
 	if (config == NULL) {
-		printk(BIOS_ERR, "i82801gx_sata: error: device not in Config.lb!\n");
+		printk(ERROR, "i82801gx_sata: error: device not in Config.lb!\n");
 		return;
 	}
 
@@ -46,7 +46,7 @@ static void sata_init(struct device *dev
 	pci_write_config16(dev, PCI_COMMAND, 0x0007);
 
 	if (config->ide_legacy_combined) {
-		printk(BIOS_DEBUG, "SATA controller in combined mode.\n");
+		printk(DEBUG, "SATA controller in combined mode.\n");
 		/* No AHCI: clear AHCI base */
 		pci_write_config32(dev, 0x24, 0x00000000);
 		/* And without AHCI BAR no memory decoding */
@@ -80,7 +80,7 @@ static void sata_init(struct device *dev
 		/* SATA Initialization register */
 		pci_write_config32(dev, 0x94, 0x5a000180);
 	} else if(config->sata_ahci) {
-		printk(BIOS_DEBUG, "SATA controller in AHCI mode.\n");
+		printk(DEBUG, "SATA controller in AHCI mode.\n");
 		/* Allow both Legacy and Native mode */
 		pci_write_config8(dev, 0x09, 0x8f);
 
@@ -112,7 +112,7 @@ static void sata_init(struct device *dev
 		/* SATA Initialization register */
 		pci_write_config32(dev, 0x94, 0x1a000180);
 	} else {
-		printk(BIOS_DEBUG, "SATA controller in plain mode.\n");
+		printk(DEBUG, "SATA controller in plain mode.\n");
 		/* Set Sata Controller Mode. No Mapping(?) */
 		pci_write_config8(dev, 0x90, 0x00);
 
Index: svn/src/southbridge/intel/i82801gx/i82801gx_smbus.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_smbus.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_smbus.c
@@ -35,11 +35,11 @@ static void smbus_init(struct device *de
 	u32 smb_base;
 
 	smb_base = pci_read_config32(dev, SMB_BASE);
-	printk(BIOS_DEBUG, "Initializing SMBus device:\n");
-	printk(BIOS_DEBUG, "  Old SMBUS Base Address: 0x%04x\n", smb_base);
+	printk(DEBUG, "Initializing SMBus device:\n");
+	printk(DEBUG, "  Old SMBUS Base Address: 0x%04x\n", smb_base);
 	pci_write_config32(dev, SMB_BASE, 0x00000401);
 	smb_base = pci_read_config32(dev, SMB_BASE);
-	printk(BIOS_DEBUG, "  New SMBUS Base Address: 0x%04x\n", smb_base);
+	printk(DEBUG, "  New SMBUS Base Address: 0x%04x\n", smb_base);
 }
 
 static int lsmbus_read_byte(device_t dev, u8 address)
Index: svn/src/southbridge/intel/i82801gx/i82801gx_smi.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/i82801gx_smi.c
+++ svn/src/southbridge/intel/i82801gx/i82801gx_smi.c
@@ -63,16 +63,16 @@ static u16 reset_pm1_status(void)
 
 static void dump_pm1_status(u16 pm1_sts)
 {
-	printk(BIOS_DEBUG, "PM1_STS: ");
-	if (pm1_sts & (1 << 15)) printk(BIOS_DEBUG, "WAK ");
-	if (pm1_sts & (1 << 14)) printk(BIOS_DEBUG, "PCIEXPWAK ");
-	if (pm1_sts & (1 << 11)) printk(BIOS_DEBUG, "PRBTNOR ");
-	if (pm1_sts & (1 << 10)) printk(BIOS_DEBUG, "RTC ");
-	if (pm1_sts & (1 <<  8)) printk(BIOS_DEBUG, "PWRBTN ");
-	if (pm1_sts & (1 <<  5)) printk(BIOS_DEBUG, "GBL ");
-	if (pm1_sts & (1 <<  4)) printk(BIOS_DEBUG, "BM ");
-	if (pm1_sts & (1 <<  0)) printk(BIOS_DEBUG, "TMROF ");
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "PM1_STS: ");
+	if (pm1_sts & (1 << 15)) printk(DEBUG, "WAK ");
+	if (pm1_sts & (1 << 14)) printk(DEBUG, "PCIEXPWAK ");
+	if (pm1_sts & (1 << 11)) printk(DEBUG, "PRBTNOR ");
+	if (pm1_sts & (1 << 10)) printk(DEBUG, "RTC ");
+	if (pm1_sts & (1 <<  8)) printk(DEBUG, "PWRBTN ");
+	if (pm1_sts & (1 <<  5)) printk(DEBUG, "GBL ");
+	if (pm1_sts & (1 <<  4)) printk(DEBUG, "BM ");
+	if (pm1_sts & (1 <<  0)) printk(DEBUG, "TMROF ");
+	printk(DEBUG, "\n");
 }
 
 /**
@@ -92,28 +92,28 @@ static u32 reset_smi_status(void)
 
 static void dump_smi_status(u32 smi_sts)
 {
-	printk(BIOS_DEBUG, "SMI_STS: ");
-	if (smi_sts & (1 << 26)) printk(BIOS_DEBUG, "SPI ");
-	if (smi_sts & (1 << 25)) printk(BIOS_DEBUG, "EL_SMI ");
-	if (smi_sts & (1 << 21)) printk(BIOS_DEBUG, "MONITOR ");
-	if (smi_sts & (1 << 20)) printk(BIOS_DEBUG, "PCI_EXP_SMI ");
-	if (smi_sts & (1 << 18)) printk(BIOS_DEBUG, "INTEL_USB2 ");
-	if (smi_sts & (1 << 17)) printk(BIOS_DEBUG, "LEGACY_USB2 ");
-	if (smi_sts & (1 << 16)) printk(BIOS_DEBUG, "SMBUS_SMI ");
-	if (smi_sts & (1 << 15)) printk(BIOS_DEBUG, "SERIRQ_SMI ");
-	if (smi_sts & (1 << 14)) printk(BIOS_DEBUG, "PERIODIC ");
-	if (smi_sts & (1 << 13)) printk(BIOS_DEBUG, "TCO ");
-	if (smi_sts & (1 << 12)) printk(BIOS_DEBUG, "DEVMON ");
-	if (smi_sts & (1 << 11)) printk(BIOS_DEBUG, "MCSMI ");
-	if (smi_sts & (1 << 10)) printk(BIOS_DEBUG, "GPI ");
-	if (smi_sts & (1 <<  9)) printk(BIOS_DEBUG, "GPE0 ");
-	if (smi_sts & (1 <<  8)) printk(BIOS_DEBUG, "PM1 ");
-	if (smi_sts & (1 <<  6)) printk(BIOS_DEBUG, "SWSMI_TMR ");
-	if (smi_sts & (1 <<  5)) printk(BIOS_DEBUG, "APM ");
-	if (smi_sts & (1 <<  4)) printk(BIOS_DEBUG, "SLP_SMI ");
-	if (smi_sts & (1 <<  3)) printk(BIOS_DEBUG, "LEGACY_USB ");
-	if (smi_sts & (1 <<  2)) printk(BIOS_DEBUG, "BIOS ");
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "SMI_STS: ");
+	if (smi_sts & (1 << 26)) printk(DEBUG, "SPI ");
+	if (smi_sts & (1 << 25)) printk(DEBUG, "EL_SMI ");
+	if (smi_sts & (1 << 21)) printk(DEBUG, "MONITOR ");
+	if (smi_sts & (1 << 20)) printk(DEBUG, "PCI_EXP_SMI ");
+	if (smi_sts & (1 << 18)) printk(DEBUG, "INTEL_USB2 ");
+	if (smi_sts & (1 << 17)) printk(DEBUG, "LEGACY_USB2 ");
+	if (smi_sts & (1 << 16)) printk(DEBUG, "SMBUS_SMI ");
+	if (smi_sts & (1 << 15)) printk(DEBUG, "SERIRQ_SMI ");
+	if (smi_sts & (1 << 14)) printk(DEBUG, "PERIODIC ");
+	if (smi_sts & (1 << 13)) printk(DEBUG, "TCO ");
+	if (smi_sts & (1 << 12)) printk(DEBUG, "DEVMON ");
+	if (smi_sts & (1 << 11)) printk(DEBUG, "MCSMI ");
+	if (smi_sts & (1 << 10)) printk(DEBUG, "GPI ");
+	if (smi_sts & (1 <<  9)) printk(DEBUG, "GPE0 ");
+	if (smi_sts & (1 <<  8)) printk(DEBUG, "PM1 ");
+	if (smi_sts & (1 <<  6)) printk(DEBUG, "SWSMI_TMR ");
+	if (smi_sts & (1 <<  5)) printk(DEBUG, "APM ");
+	if (smi_sts & (1 <<  4)) printk(DEBUG, "SLP_SMI ");
+	if (smi_sts & (1 <<  3)) printk(DEBUG, "LEGACY_USB ");
+	if (smi_sts & (1 <<  2)) printk(DEBUG, "BIOS ");
+	printk(DEBUG, "\n");
 }
 
 
@@ -135,25 +135,25 @@ static u32 reset_gpe0_status(void)
 static void dump_gpe0_status(u32 gpe0_sts)
 {
 	int i;
-	printk(BIOS_DEBUG, "GPE0_STS: ");
+	printk(DEBUG, "GPE0_STS: ");
 	for (i=31; i<= 16; i--) {
-		if (gpe0_sts & (1 << i)) printk(BIOS_DEBUG, "GPIO%d ", (i-16));
+		if (gpe0_sts & (1 << i)) printk(DEBUG, "GPIO%d ", (i-16));
 	}
-	if (gpe0_sts & (1 << 14)) printk(BIOS_DEBUG, "USB4 ");
-	if (gpe0_sts & (1 << 13)) printk(BIOS_DEBUG, "PME_B0 ");
-	if (gpe0_sts & (1 << 12)) printk(BIOS_DEBUG, "USB3 ");
-	if (gpe0_sts & (1 << 11)) printk(BIOS_DEBUG, "PME ");
-	if (gpe0_sts & (1 << 10)) printk(BIOS_DEBUG, "EL_SCI/BATLOW ");
-	if (gpe0_sts & (1 <<  9)) printk(BIOS_DEBUG, "PCI_EXP ");
-	if (gpe0_sts & (1 <<  8)) printk(BIOS_DEBUG, "RI ");
-	if (gpe0_sts & (1 <<  7)) printk(BIOS_DEBUG, "SMB_WAK ");
-	if (gpe0_sts & (1 <<  6)) printk(BIOS_DEBUG, "TCO_SCI ");
-	if (gpe0_sts & (1 <<  5)) printk(BIOS_DEBUG, "AC97 ");
-	if (gpe0_sts & (1 <<  4)) printk(BIOS_DEBUG, "USB2 ");
-	if (gpe0_sts & (1 <<  3)) printk(BIOS_DEBUG, "USB1 ");
-	if (gpe0_sts & (1 <<  2)) printk(BIOS_DEBUG, "HOT_PLUG ");
-	if (gpe0_sts & (1 <<  0)) printk(BIOS_DEBUG, "THRM ");
-	printk(BIOS_DEBUG, "\n");
+	if (gpe0_sts & (1 << 14)) printk(DEBUG, "USB4 ");
+	if (gpe0_sts & (1 << 13)) printk(DEBUG, "PME_B0 ");
+	if (gpe0_sts & (1 << 12)) printk(DEBUG, "USB3 ");
+	if (gpe0_sts & (1 << 11)) printk(DEBUG, "PME ");
+	if (gpe0_sts & (1 << 10)) printk(DEBUG, "EL_SCI/BATLOW ");
+	if (gpe0_sts & (1 <<  9)) printk(DEBUG, "PCI_EXP ");
+	if (gpe0_sts & (1 <<  8)) printk(DEBUG, "RI ");
+	if (gpe0_sts & (1 <<  7)) printk(DEBUG, "SMB_WAK ");
+	if (gpe0_sts & (1 <<  6)) printk(DEBUG, "TCO_SCI ");
+	if (gpe0_sts & (1 <<  5)) printk(DEBUG, "AC97 ");
+	if (gpe0_sts & (1 <<  4)) printk(DEBUG, "USB2 ");
+	if (gpe0_sts & (1 <<  3)) printk(DEBUG, "USB1 ");
+	if (gpe0_sts & (1 <<  2)) printk(DEBUG, "HOT_PLUG ");
+	if (gpe0_sts & (1 <<  0)) printk(DEBUG, "THRM ");
+	printk(DEBUG, "\n");
 }
 
 
@@ -175,11 +175,11 @@ static u16 reset_alt_gp_smi_status(void)
 static void dump_alt_gp_smi_status(u16 alt_gp_smi_sts)
 {
 	int i;
-	printk(BIOS_DEBUG, "ALT_GP_SMI_STS: ");
+	printk(DEBUG, "ALT_GP_SMI_STS: ");
 	for (i=15; i<= 0; i--) {
-		if (alt_gp_smi_sts & (1 << i)) printk(BIOS_DEBUG, "GPI%d ", (i-16));
+		if (alt_gp_smi_sts & (1 << i)) printk(DEBUG, "GPI%d ", (i-16));
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 }
 
 
@@ -205,21 +205,21 @@ static u32 reset_tco_status(void)
 
 static void dump_tco_status(u32 tco_sts)
 {
-	printk(BIOS_DEBUG, "TCO_STS: ");
-	if (tco_sts & (1 << 20)) printk(BIOS_DEBUG, "SMLINK_SLV ");
-	if (tco_sts & (1 << 18)) printk(BIOS_DEBUG, "BOOT ");
-	if (tco_sts & (1 << 17)) printk(BIOS_DEBUG, "SECOND_TO ");
-	if (tco_sts & (1 << 16)) printk(BIOS_DEBUG, "INTRD_DET ");
-	if (tco_sts & (1 << 12)) printk(BIOS_DEBUG, "DMISERR ");
-	if (tco_sts & (1 << 10)) printk(BIOS_DEBUG, "DMISMI ");
-	if (tco_sts & (1 <<  9)) printk(BIOS_DEBUG, "DMISCI ");
-	if (tco_sts & (1 <<  8)) printk(BIOS_DEBUG, "BIOSWR ");
-	if (tco_sts & (1 <<  7)) printk(BIOS_DEBUG, "NEWCENTURY ");
-	if (tco_sts & (1 <<  3)) printk(BIOS_DEBUG, "TIMEOUT ");
-	if (tco_sts & (1 <<  2)) printk(BIOS_DEBUG, "TCO_INT ");
-	if (tco_sts & (1 <<  1)) printk(BIOS_DEBUG, "SW_TCO ");
-	if (tco_sts & (1 <<  0)) printk(BIOS_DEBUG, "NMI2SMI ");
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "TCO_STS: ");
+	if (tco_sts & (1 << 20)) printk(DEBUG, "SMLINK_SLV ");
+	if (tco_sts & (1 << 18)) printk(DEBUG, "BOOT ");
+	if (tco_sts & (1 << 17)) printk(DEBUG, "SECOND_TO ");
+	if (tco_sts & (1 << 16)) printk(DEBUG, "INTRD_DET ");
+	if (tco_sts & (1 << 12)) printk(DEBUG, "DMISERR ");
+	if (tco_sts & (1 << 10)) printk(DEBUG, "DMISMI ");
+	if (tco_sts & (1 <<  9)) printk(DEBUG, "DMISCI ");
+	if (tco_sts & (1 <<  8)) printk(DEBUG, "BIOSWR ");
+	if (tco_sts & (1 <<  7)) printk(DEBUG, "NEWCENTURY ");
+	if (tco_sts & (1 <<  3)) printk(DEBUG, "TIMEOUT ");
+	if (tco_sts & (1 <<  2)) printk(DEBUG, "TCO_INT ");
+	if (tco_sts & (1 <<  1)) printk(DEBUG, "SW_TCO ");
+	if (tco_sts & (1 <<  0)) printk(DEBUG, "NMI2SMI ");
+	printk(DEBUG, "\n");
 }
 
 
@@ -243,14 +243,14 @@ static void smm_relocate(void)
 	u32 smi_en;
 	u16 pm1_en;
 
-	printk(BIOS_DEBUG, "Initializing SMM handler...");
+	printk(DEBUG, "Initializing SMM handler...");
 
 	pmbase = pci_read_config16(dev_find_slot(0, PCI_DEVFN(0x1f, 0)), 0x40) & 0xfffc;
-	printk(BIOS_SPEW, " ... pmbase = 0x%04x\n", pmbase);
+	printk(SPEW, " ... pmbase = 0x%04x\n", pmbase);
 
 	smi_en = inl(pmbase + SMI_EN);
 	if (smi_en & APMC_EN) {
-		printk(BIOS_INFO, "SMI# handler already enabled?\n");
+		printk(INFO, "SMI# handler already enabled?\n");
 		return;
 	}
 
@@ -258,7 +258,7 @@ static void smm_relocate(void)
 	memcpy((void *)0x38000, &smm_relocation_start,
 			&smm_relocation_end - &smm_relocation_start);
 
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 	dump_smi_status(reset_smi_status());
 	dump_pm1_status(reset_pm1_status());
 	dump_gpe0_status(reset_gpe0_status());
@@ -314,7 +314,7 @@ static void smm_relocate(void)
 	 */
 
 	/* raise an SMI interrupt */
-	printk(BIOS_SPEW, "  ... raise SMI#\n");
+	printk(SPEW, "  ... raise SMI#\n");
 	outb(0x00, 0xb2);
 }
 
@@ -349,7 +349,7 @@ void smm_lock(void)
 	 * After running this function, only a full reset can
 	 * make the SMM registers writable again.
 	 */
-	printk(BIOS_DEBUG, "Locking SMM.\n");
+	printk(DEBUG, "Locking SMM.\n");
 	pci_write_config8(dev_find_slot(0, PCI_DEVFN(0, 0)), SMRAM,
 			D_LCK | G_SMRAME | C_BASE_SEG);
 }
